Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp
Class JspC.WebAppParameter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.jsp.JspC.WebAppParameter

Enclosing class:
  JspC

    public static class JspC.WebAppParameter

extends java.lang.Object

static inner class used as a parameter element

Constructor Summary
`JspC.WebAppParameter()`

Method Summary
`java.io.File` | `getDirectory()` query current directory
`void` | `setBaseDir(java.io.File directory)` set directory; alternate syntax

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspC.WebAppParameter

    public JspC.WebAppParameter()

Method Detail

### getDirectory

    public java.io.File getDirectory()

  query current directory

  Returns:
    the directory.

### setBaseDir

    public void setBaseDir(java.io.File directory)

  set directory; alternate syntax

  Parameters:
    `directory` - the base dir.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD